package io.zipcoder.crudapp;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class CRUDApplicationTests {

	@Autowired
	PersonController personController;

	@Autowired
	PersonRepository personRepository;

	@Before
	public void setUp() {
        Person person = new Person("Nick", "Satinover");
        personController.createPerson(person);
	}

	@Test
	public void PersonControllerCreateTest(){
		// given
            //SetUp
		// when
		String expected = "Satinover";
		String actual = personRepository.findOne(1).getLastName();

		// then
		Assert.assertEquals(expected, actual);
	}

//    @Test
//    public void PersonControllerUpdateTest(){
//         //given
//        Person personUpdate = new Person("Nick", "Update");
//         //when
//        String expected = "Update";
//        personController.updatePerson(personUpdate);
//        String actual = personRepository.findOne(1).getLastName();
//         //then
//        Assert.assertEquals(expected, actual);
//    }

}
